python-pypdf_1.13-3_all.deb


Advertisement

Description

python-pypdf - PDF toolkit implemented solely in Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pypdf
Package version 1.13
Package release 3
Package architecture all
Package type deb
Installed size 158 B
Download size 30.19 KB
Official Mirror archive.ubuntu.com
A PDF toolkit implemented solely in Python.  It is capable of:
* extracting document information (title, author, ...),
* splitting documents page by page,
* merging documents page by page,
* cropping pages,
* merging multiple pages into a single page,
* encrypting and decrypting PDF files.
By being Pure-Python, it should run on any Python platform without any
dependencies on external libraries. It can also work entirely on StringIO
objects rather than file streams, allowing for PDF manipulation in memory. It
is therefore a useful tool for websites that manage or manipulate PDFs.

Alternatives

Package Version Architecture Repository
python-pypdf_1.13-3_all.deb 1.13 all Ubuntu Universe
python-pypdf - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pypdf_1.13-3_all.deb
Source Package python-pypdf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pypdf deb package:
    # sudo apt-get install python-pypdf

Files

Path
/usr/lib/python2.7/dist-packages/pyPdf-1.13.egg-info
/usr/lib/python2.7/dist-packages/pyPdf/__init__.py
/usr/lib/python2.7/dist-packages/pyPdf/filters.py
/usr/lib/python2.7/dist-packages/pyPdf/generic.py
/usr/lib/python2.7/dist-packages/pyPdf/pdf.py
/usr/lib/python2.7/dist-packages/pyPdf/utils.py
/usr/lib/python2.7/dist-packages/pyPdf/xmp.py
/usr/share/doc/python-pypdf/README
/usr/share/doc/python-pypdf/changelog.Debian.gz
/usr/share/doc/python-pypdf/copyright

Changelog

2015-08-18 - Matthias Klose <doko@debian.org>
python-pypdf (1:1.13-3) unstable; urgency=medium
* Team upload.
* Build using dh-python. Closes: #786322.
2014-10-04 - Luciano Bello <luciano@debian.org>
python-pypdf (1:1.13-2) unstable; urgency=medium
* Deprecated module warning added.
* New epoch to fix the conflict with python-pypdf. Closes: #762186
2011-05-13 - Luciano Bello <luciano@debian.org>
python-pypdf (1.13-1) unstable; urgency=low
* New upstream release (Closes: #615961). 
- DeprecationWarning in the sets fixed (Closes: #593574)
* New Standards-Version.
* Typo in the README file fixed (Closes: #567312)
* Better extra spaces handling (Closes: #563443)
2010-05-10 - Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
python-pypdf (1.12-3) unstable; urgency=low
* Change to XB-Python-Version: all - pypdf handles all versions.
* Add README.Source file.
* Bump Standards-Version to 3.8.4. 
2009-01-10 - Luciano Bello <luciano@debian.org>
python-pypdf (1.12-2) unstable; urgency=low
* Upstream name fixed
* dpatch added
* Fixed the backspace escape-sequence '\b' (Closes: #511252)
2008-09-04 - Luciano Bello <luciano@debian.org>
python-pypdf (1.12-1) unstable; urgency=low
* New upstream release.
* Standards-Version updated.
* debian/watch added by Sandro Tosi <matrixhasu@gmail.com>.
2008-04-28 - Luciano Bello <luciano@debian.org>
python-pypdf (1.10-1) unstable; urgency=low
* Initial release (Closes: #467217)

See Also

Package Description
python-pyperclip_1.5.11-1_all.deb Cross-platform clipboard module for Python
python-pypm_0.0.7-8_amd64.deb Python interface to libportmidi
python-pypoker-eval_138.0-1.2_amd64.deb python interface to poker hand evaluator library development files
python-pyproj_1.9.5.1-1build1_amd64.deb Python interface to PROJ.4 library
python-pyptlib_0.0.6-1_all.deb library for Tor pluggable transports written in Python
python-pypump-doc_0.6-1_all.deb interface to the pump.io APIs (Common Documentation)
python-pypump_0.6-1_all.deb interface to the pump.io APIs (Python 2)
python-pypuppetdb_0.1.1+git080614-1_all.deb interface to the PuppetDB REST API
python-pypureomapi_0.4-1_all.deb ISC DHCP OMAPI protocol implementation in Python2
python-pypy.sandbox_5.0.1+dfsg-4_amd64.deb sandboxed PyPy interpreter
python-pyqt5.qsci_2.9.1+dfsg-4build1_amd64.deb Python bindings for QScintilla 2 with Qt 5
python-pyqt5.qtmultimedia_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's Multimedia module
python-pyqt5.qtopengl_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for Qt5's OpenGL module
python-pyqt5.qtpositioning_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtPositioning module
python-pyqt5.qtquick_5.5.1+dfsg-3ubuntu4_amd64.deb Python 2 bindings for QtQuick module
Advertisement
Advertisement